import 'package:flutter_dotenv/flutter_dotenv.dart';

abstract class ApiEndpoints {
  static String baseUrl = dotenv.env['BASE_URL'] ?? '';
  static const String signUp = '/authentication/user/signup';
  static const String login = '/authentication/user/login';
  static const String forgetPassword = '/authentication/user/forget-password';
  static const String sendOtp = '/authentication/user/send-otp';
  static const String verifyOtp = '/authentication/user/verify-otp';
  static const String getRegion = '/region';
  static const String visitorPassword = '/visitor-password';
  static const String getDevices = '/visitor-password/devices';

  static const String sendOnlineOneTime =
      '/visitor-password/temporary-password/online/one-time';
  static const String sendOnlineMultipleTime =
      '/visitor-password/temporary-password/online/multiple-time';

//offline Password
  static const String sendOffLineOneTime =
      '/visitor-password/temporary-password/offline/one-time';
  static const String sendOffLineMultipleTime =
      '/visitor-password/temporary-password/offline/multiple-time';

  static const String getUser = '/user/{userUuid}';

  ////// Devices Management ////////////////

  static const String getAllDevices = '/device';
  static const String getDeviceStatus = '/device/{uuid}/functions/status';
  static const String getBatchStatus = '/device/status/batch';

  static const String deviceControl = '/device/{uuid}/control';
  static const String deviceBatchControl = '/device/control/batch';
  static const String gatewayApi = '/device/gateway/{gatewayUuid}/devices';
  static const String openDoorLock = '/door-lock/open/{doorLockUuid}';

  static const String getDeviceLogs = '/device/report-logs/{uuid}?code={code}';
  static const String getDeviceLogsByDate =
      '/device/report-logs/{uuid}?code={code}&startTime={startTime}&endTime={endTime}';

  static const String scheduleByDeviceId = '/schedule/{deviceUuid}';
  static const String getScheduleByDeviceId =
      '/schedule/{deviceUuid}?category={category}';
  static const String deleteScheduleByDeviceId =
      '/schedule/{deviceUuid}/{scheduleUuid}';
  static const String updateScheduleByDeviceId =
      '/schedule/enable/{deviceUuid}';

  static const String factoryReset = '/device/factory/reset/{deviceUuid}';
  static const String powerClamp =
      '/device/{powerClampUuid}/power-clamp/status';
}
